SpyBara
Go Premium

resources/audio/subresources/voices/index.md 2026-05-02 05:57 UTC to 2026-05-05 23:00 UTC

86 added, 0 removed.

2026
Wed 27 06:42 Fri 22 06:33 Wed 20 06:35 Tue 19 06:34 Mon 18 22:01 Mon 11 18:00 Thu 7 21:57 Tue 5 23:00 Sat 2 05:57
Data Information:
  • After 2026-05-05 06:03 UTC, this monitor no longer uses markdownified HTML/MDX. Comparisons across that boundary can therefore show more extensive diffs.

Voices

Create voice

post /audio/voices

Creates a custom voice.

Returns

  • id: string

    The voice identifier, which can be referenced in API endpoints.

  • created_at: number

    The Unix timestamp (in seconds) for when the voice was created.

  • name: string

    The name of the voice.

  • object: "audio.voice"

    The object type, which is always audio.voice.

    • "audio.voice"

Example

curl https://api.openai.com/v1/audio/voices \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F 'audio_sample=@/path/to/audio_sample' \
    -F consent=consent \
    -F name=name

Response

{
  "id": "id",
  "created_at": 0,
  "name": "name",
  "object": "audio.voice"
}

Example

curl https://api.openai.com/v1/audio/voices \
  -X POST \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F "name=My new voice" \
  -F "consent=cons_1234" \
  -F "audio_sample=@$HOME/audio_sample.wav;type=audio/x-wav"

Domain Types

Voice Create Response

  • VoiceCreateResponse object { id, created_at, name, object }

    A custom voice that can be used for audio output.

    • id: string

      The voice identifier, which can be referenced in API endpoints.

    • created_at: number

      The Unix timestamp (in seconds) for when the voice was created.

    • name: string

      The name of the voice.

    • object: "audio.voice"

      The object type, which is always audio.voice.

      • "audio.voice"